pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1

interface Message {
	// Emitted when a new message digest has been set
	// Should not be emitted if the digest set is identical to the previous
	event Msg(bytes _msgDigest);

	// Set a new message content hash
	function setMsg(bytes memory _digest) external;

	// Get the current message content hash
	function getMsg() external view returns(bytes memory);
}
